import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
import { TIMELINE_ALT_BG_COLOR, TIMELINE_BG_COLOR, TIMELINE_BORDER_COLOR } from '../constants';
var spacing = selectors.spacing;
export var StyledWeek = styled.div.withConfig({
  displayName: "StyledWeek",
  componentId: "sc-1rczv1x-0"
})(["display:inline-flex;align-items:center;height:2.5rem;background-color:", ";border-bottom:", " solid ", ";justify-content:unset;margin-left:", ";width:", ";"], function (_ref) {
  var $isOddNumber = _ref.$isOddNumber;
  return $isOddNumber ? TIMELINE_ALT_BG_COLOR : TIMELINE_BG_COLOR;
}, spacing('px'), TIMELINE_BORDER_COLOR, function (_ref2) {
  var $marginLeftPx = _ref2.$marginLeftPx;
  return $marginLeftPx;
}, function (_ref3) {
  var $widthPx = _ref3.$widthPx;
  return $widthPx;
});